<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>ESP32-CAM Spectrometer</title>
    <script src="https://cdn.plot.ly/plotly-latest.min.js"></script>
    <style>
        #image-container {
            position: relative;
            display: inline-block;
        }
        #image {
            display: block;
        }
        #crosshair {
            position: absolute;
            width: 100%;
            height: 2px;
            background-color: red;
            top: 50%;
            left: 0;
            cursor: pointer;
        }
        #intensityGraph {
            width: 100%;
            height: 400px;
        }
    </style>
</head>
<body>
    <h1>ESP32-CAM Spectrometer</h1>
    <div id="image-container">
        <img id="image" alt="Captured Image" />
        <div id="crosshair"></div>
    </div>
    <div id="intensityGraph"></div>
    <script src='static/js/index.js'></script>
</body>
</html>
